PickedUserEvent (gCube Pick User Widget 0.4.0-2.17.1 API)
Date: 2014-01-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.widgets.pickuser.client.events
Class PickedUserEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>
              org.gcube.portlets.widgets.pickuser.client.events.PickedUserEvent

    public class PickedUserEvent

extends com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler>` | `TYPE`

Constructor Summary
`PickedUserEvent(PickingUser user)`

Method Summary
`protected void` | `dispatch(PickedUserEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler>` | `getAssociatedType()`
`PickingUser` | `getSelectedUser()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler> TYPE

Constructor Detail

### PickedUserEvent

    public PickedUserEvent(PickingUser user)

Method Detail

### getSelectedUser

    public PickingUser getSelectedUser()

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>`

### dispatch

    protected void dispatch(PickedUserEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.